Skip to main content
`Ctrl`+`K`

# TaoLMVMSetH0

Set the initial Hessian for the QN approximation

## Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLMVMSetH0(Tao tao, Mat H0)

## Input Parameters

- tao - the `Tao` solver context

- H0 - `Mat` object for the initial Hessian

## See Also

`Tao`, `TAOLMVM`, `TAOBLMVM`, `TaoLMVMGetH0()`, `TaoLMVMGetH0KSP()`

## Level

advanced

## Location

src/tao/bound/impls/blmvm/blmvm.c

## Examples

src/tao/tutorials/ex3.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages